# ``twisted`.`plugins`.`cred_unix``

module documentation
(source)

Cred plugin for UNIX user accounts.

Class | `UNIXChecker` | A credentials checker for a UNIX server. This will check that an authenticating username/password is a valid user on the system.
Class | `UNIXCheckerFactory` | A factory for `UNIXChecker`.
Function | `verifyCryptedPassword` | Use `crypt.crypt` to Verify that an unencrypted password matches the encrypted password.
Variable | `theUnixCheckerFactory` | Undocumented
Variable | `unixCheckerFactoryHelp` | Undocumented

def verifyCryptedPassword(crypted, pw): (source)
Use `crypt.crypt` to Verify that an unencrypted password matches the encrypted password.

Parameters
crypted | The encrypted password, obtained from the Unix password database or Unix shadow password database.
pw | The unencrypted password.
Returns
`bool` | `True` if there is successful match, else `False`.

theUnixCheckerFactory = (source)

Undocumented

unixCheckerFactoryHelp: `str` = (source)

Undocumented